Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link Selection(RALS) Option

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 3 Oct 2006 10:50:45 -0700

Bernie,

responding to:
> In other forums there has been some discussions as to whether to place
a
> link-local address into this field, but IMHO I think that is a bad
idea
> as it conveys no information
and:
> Just to be sure - I was talking only about the link-address field.
That
> is where a link-local address is useless.

OK, but then (RFC3315, Section 20.1.1) doesn't give clear guidance
on what the realy agent should write into "link-address" when there
there is no global/site-scoped address available for the link. Should
it say that the relay agent writes "0" into link-address in that case?
(Wouldn't writing a link-local address instead be better than "0"?)

Thanks - Fred
[email-masked]

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Thu, 12 Oct 2006 07:33:18 -0400

>What I confused is why the situation whether you have
global/site-scoped
>address or not will affect the link-address.

Perhaps I still don't understand. The relay must fill in the
link-address field with something that provides the server an
indiciation of where (network topology wise) the client is. So, what use
is a link-local address in the link-address field?

>Maybe it is better to make the function of link-address simpler. Just a
hint
>to server.

That is essentially all that it is. A server can certainly have policy
that overrides this. But most servers will use it as a very strong hint
as DHCPv4 servers use the giaddr as a strong hint as to whether the
client is.

- Bernie

-----Original Message-----
From: Amy Zhao [mailto:[email-masked]] 
Sent: Thursday, October 12, 2006 12:00 AM
To: Bernie Volz (volz); 'Templin, Fred L'
Cc: [email-masked]
Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link Selection(RALS)
Option

Hello!
       Please see in line!

       Thanks!

B.R.
Amy 

> -----Original Message-----
> From: Bernie Volz (volz) [mailto:[email-masked]] 
> Sent: Sunday, October 08, 2006 10:12 PM
> To: Amy Zhao; Templin, Fred L
> Cc: [email-masked]
> Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link 
> Selection(RALS) Option
> 
> I'm confused by what you're confused about. See some comments inline.

What I confused is why the situation whether you have global/site-scoped
address or not will affect the link-address.

> 
> - Bernie
> 
> -----Original Message-----
> From: Amy Zhao [mailto:[email-masked]]
> Sent: Saturday, October 07, 2006 11:56 PM
> To: 'Templin, Fred L'; Bernie Volz (volz)
> Cc: [email-masked]
> Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link 
> Selection(RALS) Option
> 
> Hello!
>      To be honest, I am confused about your discussion.
> 
>      On the first-hop relay agent , the function of 
> link-address is a hint
> to server where the client is.   But on the non-first -hop 
> relay agent,
> what
> is the fuction of link-address, still a hint? or other 
> function? I did not see any clear descriptions in RFC3315. 
> Maybe I missed it.
> 
> BV> There is no use for the server specified by 3315. However, it is
> expected to be used by the that RELAY AGENT in the 
> Relay-Reply to determine the interface (in the absense of an 
> interface-id option
> perhaps) on which to relay the Relay-Reply to the next relay 
> (or client). So, it does have value and should be set!

Can it use peer-address to determine the interface? 

> 
>      If it is a hint, and if non-first-hop relay agent can 
> not decide where the client is, I think the relay agent 
> should set the link-address to 0.
> And
> I think it is not irrelate with the case that whether or not 
> you have global/site-scoped address.
> 
>     I think the function of link-address field on first-hop 
> and non-first-hop relay agent should be same. And in RFC3315, 
> it is difference.
> Why?
> 
> BV> It is the same with respect to how a relay uses it in processing
> Relay-Reply (ie, which interface to relay that packet to). 
> However, a server only uses the first (closest to client) 
> link-address field. 

Why?A server can uses the options inserted by non-first relay agent in
selecting configuration parameters, why not be able to use non-first
link-address field.

Maybe it is better to make the function of link-address simpler. Just a
hint
to server.

> 
>     Thanks.
> 
> 
> B.R.
> Amy 
> 
> > -----Original Message-----
> > From: Templin, Fred L [mailto:[email-masked]]
> > Sent: Wednesday, October 04, 2006 2:30 AM
> > To: Bernie Volz (volz); Amy
> > Cc: [email-masked]
> > Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link
> > Selection(RALS) Option
> > 
> > Bernie,
> > 
> > > So, my feeling is that you should use 0 unless you have
> > something of
> > > real value to put there.
> > 
> > I don't mind having the relay write 0, but:
> > 
> > > I fully agree that this is not clearly specified in RFC
> > 3315 and that
> > > should definitely be cleared up in a 3315-bis document. However, I
> > also
> > > feel that the existing RFC 3315 text gives more weight to 
> don't set
> > the
> > > field (ie, leave it 0) if you have no global/site-scoped
> > address. In
> > > general, when an RFC doesn't say to add something to a
> > message or set
> > a
> > > given field, we have assumed it is 0.
> > 
> > The final sentence of (RFC3315, Section 21.1.1) strongly 
> implies that 
> > something other than 0 should be written, so it seems like at least 
> > that much should be clarified in a -bis.
> > 
> > Thanks - Fred
> > - Bernie
> > -----Original Message-----
> > From: Templin, Fred L [mailto:[email-masked]]
> > Sent: Tuesday, October 03, 2006 1:51 PM
> > To: Bernie Volz (volz); Amy
> > Cc: [email-masked]
> > Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link
> > Selection(RALS) Option
> > 
> > Bernie,
> > 
> > responding to:
> > OK, but then (RFC3315, Section 20.1.1) doesn't give clear 
> guidance on 
> > what the realy agent should write into "link-address" when 
> there there 
> > is no global/site-scoped address available for the link. 
> Should it say 
> > that the relay agent writes "0" into link-address in that case?